Subject: RE: [mobile-ip] a question about BU

From: KASSI-LAHLOU Mohammed FTRD/DMI/CAE <[email-masked]>
Date: Mon, 14 May 2001 09:58:12 +0200

Ryan,

It seems to me that for ongoing connection with an IP address it is
necessary to use MobileIP to keep this connection but for new connection it
is possible to use the new CoA directly and that is what we proposed in the
following draft:

http://www.ietf.org/internet-drafts/draft-kassi-mobileip-dmi-00.txt.

Kassi  

-----Message d'origine-----
De : Yu (Ryan) Chen [mailto:[email-masked]]
Envoyé : vendredi 11 mai 2001 21:28
À : [email-masked]
Objet : Re: [mobile-ip] a question about BU

Charlie,

In section 3.1 of the draft, it says:
" When sending an IP datagram, if the sending node has a binding cache
   entry for the destination node, it SHOULD tunnel the datagram to the
   mobile node's care-of address using the encapsulation techniques used
   by home agents, and described in [9, 10, 3, 4]. "
I would recommend to add: "Note the sending node should not send the
datagram to the MN's COA directly unless it does not need maintain any
open connections."
To many applications does not require mobility support, for example,
applications
based on UDP, it may be useful to let the CN use the new COA directly.
However,
it may be out of the scope of the draft.
BTW, return to my original question, is there a way that CN could send the
datagrams
to the new COA directly instead of tunneling without breaking open TCP
connections?
It seems to me that it requires tearing TCP layer from IP layer. Any
comments?

Cheers,
Ryan
----- Original Message -----
From: "Charles E. Perkins" <[email-masked]>
To: <[email-masked]>
Sent: Friday, May 11, 2001 1:11 PM
Subject: Re: [mobile-ip] a question about BU

> Hello again Ryan,
>
> > As we know, route optimization is proposed to solve the triangle routing
> > problem of MIP. Sure CN need not break existing TCP connections if it
use
> > the home address to connect with MN. but then any existing connections
will
> > not benefit from BU, am I right?
>
> No, this isn't right, because all TCP connections (that you wish to
> keep, anyway) should be based on the home address.
>
> > There are actually two case:
> > 1. The TCP connection is based on home address of MN, then no additional
> > effort needed for open connetions.
>
> This should be all of the cases of interest.
>
> > 2. The TCP connection is based on previous COA of MN, then the previous
FA
> > should forward datagrams to new COA to keep open connections.
>
> If a node has TCP protocol control blocks based on the care-of address,
> then that should amount to a policy determination that the TCP connection
> does not have to survive reconnection.
>
> > However, both of above cases still suffer from triangle routing problem.
>
> Case (1) should not have the problem, because even though IP uses the
> care-of address (thus avoiding triangle routing), TCP uses the home
> address (thus avoiding broken connections).
>
> > So my question is: suppose the CN received a BU, no matter its
connection
> > with MN based on home address or previous COA, is there some way that
the CN
> > could use the new COA for any existing TCP connections but not either
break
> > them or routing via HA or previous FA? I know TCP connections are based
on
> > peer IP and ports and it looks like impossible.
> > So if it is impossible, is that mean BU only benefit new connections of
MN?
>
> It is possible to let TCP use the home address and to let IP use the
> care-of address.  Then the Binding Update will benefit all connections
> of the mobile node.
>
> Regards,
> Charlie P.
>